Aman Gupta wrote:
> Is this patch in 1.8 HEAD?

For those who might be interested: this patch will be included in the 
next version of Ruby Enterprise Edition.

I hope it will make its way into the upstream version soon.